{% set PageTitle = "Scheduled Maintenance" %}
{% set BodyClass = "error" %}

{% extends "master.html" %}

{% block main %}
  <div id="errorImage"></div>
  <div id="errorMain"></div>
{% endblock %}

{% block scripts %}
  <script>
    window.addEventListener('load', function(){
    ReactDOM.render(React.createElement(Components.BodyCopy, {
      id :'id',
      copy:`<p style="text-align: center;"><img alt="" width="360" src="dist/images/Maintenance-360x140.png" /></p>`
    }), document.getElementById("errorImage"));

    ReactDOM.render(React.createElement(Components.HeaderCopy, {
      pageTitle:"Scheduled Maintenance",
      heading:"Be right back, just upping our game",
      subheading:`<p>No… we’ve not joined a virtual gym or taken up competitive knitting; we’re just having a little revamp so we’re better equipped for you.</p><p>We’ll be back up and running in no time, so pop back later and we’ll get you where you need to go : )</p>`
    }), document.getElementById("errorMain"));
  })
  </script>

{% endblock %}

{% block NavBreadcrumb %}{% endblock %}
{% block FloatingActionButton %}{% endblock %}
{% block AdvisorBar %}{% endblock %}

{% block NavPrimary %}
  <script>
    window.addEventListener('load', function(){
    ReactDOM.render(React.createElement(Components.PrimaryNav, {
      isMini:true,
      logo:'<img src="dist/images/lv-logo.png"></img>',
      logoLink:{href:"./homepage.html"},
    }), document.getElementById("primaryNav"));
  })
  </script>
{% endblock %}

{% block footer %}
  <script>
    window.addEventListener('load', function(){
    ReactDOM.render(React.createElement(Components.Footer, {
      isMini:true,
      copyright:`<p>&copy; 2017 Liverpool Victoria, County Gates, Bournemouth, BH1 2NF, UK</p>`,
      logo:'<img src="dist/images/lv-logo.png"></img>',
    }), document.getElementById("footer"));
  })
  </script>
{% endblock %}
